﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Interactive;
using Syncfusion.Pdf.Parsing;
using Syncfusion.SfPdfViewer.XForms;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace HelloWorld
{
    public partial class MainPage : ContentPage
    {
        List<string> m_formFieldIstem = new List<string>();
        public MainPage()
        {
            InitializeComponent();
            var filePath = "HelloWorld.Assets.";
            var pdfDocumentStream = typeof(App).GetTypeInfo().Assembly.GetManifestResourceStream(filePath + "FormFillingDocument.pdf");          
            pdfViewerControl.LoadDocument(pdfDocumentStream);        
            pdfViewerControl.DocumentSaveInitiated += PdfViewerControl_DocumentSaved;
        }
       
       
        private void PdfViewerControl_DocumentSaved(object sender, DocumentSaveInitiatedEventArgs args)
        {
            string filePath = DependencyService.Get<ISave>().Save(args.SaveStream as MemoryStream);
            string message = "The PDF has been saved to " + filePath;
            DependencyService.Get<IAlertView>().Show(message);
        }      
    }
}
